/*
NAME: Petar Ivanov
*/

#include <iostream>
#include <algorithm>
#include <cmath>
using namespace std;

typedef double type;

const int    MAX_N = 128;
const double eps1  = 0.00123;
const double eps2  = 0.00234;

struct point {
	type x, y;
	point () {}
	point (type _x, type _y) : x(_x), y(_y) {}
};

int n, m;
point A[MAX_N];
point B[MAX_N];

void input ()
{
	int i;
	
	cin >> n;
	for (i=0; i<n; i++)
		cin >> A[i].x >> A[i].y;

	cin >> m;
	for (i=0; i<m; i++)
		cin >> B[i].x >> B[i].y;
		
	random_shuffle (A,A+n);
	random_shuffle (B,B+m);
}

int sign_orient (point &a, point &b, point &c)
{
	return (b.x-a.x)*(c.y-b.y) - (c.x-b.x)*(b.y-a.y) < 0 ? -1 : +1;
}

bool try_line (point &p, point &q)
{	
	int i, br;
	
	for (br=0, i=0; i<n; i++)
		br += sign_orient(p,q,A[i]);
	if (br) return 0;

	for (br=0, i=0; i<m; i++)
		br += sign_orient(p,q,B[i]);
	if (br) return 0;
	
	return 1;
}

void solve ()
{
	int i, j, k1, k2;
	point p, q, v;
	double d;
	
	for (i=0; i<n; i++)
		for (k1=-1; k1<=+1; k1+=2) {
			p = point( A[i].x + k1*eps1, A[i].y + k1*eps1);
			
			for (j=0; j<m; j++)
				for (k2=-1; k2<=+1; k2+=2) {
					q = point( B[j].x + k2*eps2, B[j].y + k2*eps2);
					
					if (try_line(p,q)) {
						d = hypot(q.y-p.y, q.x-p.x);
						v = point( (q.x-p.x)/d, (q.y-p.y)/d );

						cout << p.x << " " << p.y << " " << v.x << " " << v.y << "\n";
						return;
					}
				}
		}
		
	cout << "0 0 0 0\n";
}

int main ()
{
	//freopen ("bw.in", "r", stdin);
	
	input ();
	solve ();
	
	return 0;
}
