
/*
  TASK: bw
  KEYW: geometry
*/

// Complexity: O (n ^ 5)

#include <cmath>
#include <iostream>
using namespace std;

const double EPS = 1e-12;

struct Point
{
  double x, y;
  
  Point (double x = 0.0, double y = 0.0)
  {
    this->x = x;
    this->y = y;
  }
};
inline double cross (Point &a, Point &b, Point &c)
{
  return a.x * (b.y - c.y) + b.x * (c.y - a.y) + c.x * (a.y - b.y);
}

int n, m;
Point p [256];
Point mid [256 * 256];

void input ()
{ 
  scanf ("%d", &n);
  for (int i = 0; i < n; ++i)
    scanf ("%lf %lf", &p [i].x, &p [i].y);
  random_shuffle (p, p + n);
  scanf ("%d", &m);
  for (int i = 0; i < m; ++i)
    scanf ("%lf %lf", &p [n + i].x, &p [n + i].y);
  random_shuffle (p + n, p + n + m);
}
void solve ()
{
  
//  int k = 0;
//  for (int i = 0; i < n; ++i)
//    for (int j = 0; j < m; ++j)
//      mid [k ++] = Point ((p [i].x + p [n + j].x) / 2.0, (p [i].y + p [n + j].y) / 2.0);

  int k = 0;
  for (int i = 0; i < n + m; ++i)
    for (int j = i + 1; j < n + m; ++j)
      mid [k ++] = Point ((p [i].x + p [j].x) / 2.0, (p [i].y + p [j].y) / 2.0);

  random_shuffle (mid, mid + k);
  
  int a, b;
  double c;
  for (int i = 0; i < k; ++i)
    for (int j = i + 1; j < k; ++j)
    {
      if (fabs (mid [i].x - mid [j].x) < EPS)
        if (fabs (mid [i].y - mid [j].y) < EPS)
          continue;
          
      a = b = 0;
      for (int j2 = 0; j2 < n; ++j2)
      {
        c = cross (mid [i], mid [j], p [j2]);
        if (c > -EPS && c < EPS)
          break;
        if (c > EPS)
          ++a;
        else
          ++b;
      }
      if (a + b == n && a == b)
      {
        a = b = 0;
        for (int j2 = 0; j2 < m; ++j2)
        {
          c = cross (mid [i], mid [j], p [n + j2]);
          if (c > -EPS && c < EPS)
            break;
          if (c > EPS)
            ++a;
          else
            ++b;
        }
        if (a + b == m && a == b)
        {
          double vx = mid [j].x - mid [i].x;
          double vy = mid [j].y - mid [i].y;
          double len = sqrt (vx * vx + vy * vy);
          printf ("%.10lf %.10lf %.10lf %.10lf\n", mid [i].x, mid [i].y, vx / len, vy / len);
//          printf ("%.10lf %.10lf %.10lf %.10lf\n", mid [i].x, mid [i].y, mid [j].x, mid [j].y);
//          printf ("%.10lf %.10lf\n", vx, vy);
          return;
        }
      }
    }
  printf ("0 0 0 0\n");
}
int main ()
{
  input ();
  solve ();
  return 0;
}
