#include <iostream>
#include <complex>
using namespace std;

#define f(i, n)									for(int i = 0; i < n; i ++)
#define X										real()
#define Y										imag()
#define white									first
#define black									second
#define EPS										(1e-5)
#define MAX_B									(1 << 7)
#define MAX_W									(1 << 7)

typedef complex<double> point, Vector;
typedef pair<int, int> PII;

int B, W;
point b[MAX_B], w[MAX_W];
point P, V;

void Read()
{
	scanf("%d", &B);
	
	f(i, B) cin >> b[i].X >> b[i].Y;
	
	scanf("%d", &W);
	
	f(i, W) cin >> w[i].X >> w[i].Y;
}

inline double area2(const point &_A, const point &_B, const point &_C)
{
	return imag(conj(_B - _A) * (_C - _A));
}

inline point rotate_by(const point &_p, const point &_about, const double &radians)
{
	return (_p - _about) * exp(point(0.0, radians)) + _about;
}

bool is_ok(const point &_a, const point &_b)
{
register PII left(0, 0), right(0, 0);
register double area_d;
	
	f(i, B)
	{
		area_d = area2(b[i], _a, _b);
		
		if(area_d < 0.0) left.black ++;
		else right.black ++;
	}
	
	f(i, W)
	{
		area_d = area2(w[i], _a, _b);
		
		if(area_d < 0.0) left.white ++;
		else right.white ++;
	}
	
	if(left.white == right.white && left.black == right.black) return true;
	
	return false;
}

void Solve()
{
	f(i, B) f(j, W)
	{
		P = (b[i] + w[j]) * 0.5;
		
		if(is_ok(P, rotate_by(b[i], P, EPS)))
		{
			V = rotate_by(b[i], P, EPS) - P;
			
			V /= max(abs(V.X), abs(V.Y));
			
			cout << P.X <<" "<< P.Y <<" "<< V.X <<" "<< V.Y <<"\n";
			exit(0);
		}
		
		if(is_ok(P, rotate_by(b[i], P, - EPS)))
		{
			V = rotate_by(b[i], P, - EPS) - P;
			
			V /= max(abs(V.X), abs(V.Y));
			
			cout << P.X <<" "<< P.Y <<" "<< V.X <<" "<< V.Y <<"\n";
			exit(0);
		}
	}
	
	f(i, W) f(j, W) if(i != j)
	{
		P = (w[i] + w[j]) * 0.5;
		
		if(is_ok(P, rotate_by(w[i], P, EPS)))
		{
			V = rotate_by(w[i], P, EPS) - P;
			
			V /= max(abs(V.X), abs(V.Y));
			
			cout << P.X <<" "<< P.Y <<" "<< V.X <<" "<< V.Y <<"\n";
			exit(0);
		}
		
		if(is_ok(P, rotate_by(w[i], P, - EPS)))
		{
			V = rotate_by(w[i], P, - EPS) - P;
			
			V /= max(abs(V.X), abs(V.Y));
			
			cout << P.X <<" "<< P.Y <<" "<< V.X <<" "<< V.Y <<"\n";
			exit(0);
		}
	}
	
	f(i, B) f(j, B) if(i != j)
	{
		P = (b[i] + b[j]) * 0.5;
		
		if(is_ok(P, rotate_by(b[i], P, EPS)))
		{
			V = rotate_by(b[i], P, EPS) - P;
			
			V /= max(abs(V.X), abs(V.Y));
			
			cout << P.X <<" "<< P.Y <<" "<< V.X <<" "<< V.Y <<"\n";
			exit(0);
		}
		
		if(is_ok(P, rotate_by(b[i], P, - EPS)))
		{
			V = rotate_by(b[i], P, - EPS) - P;
			
			V /= max(abs(V.X), abs(V.Y));
			
			cout << P.X <<" "<< P.Y <<" "<< V.X <<" "<< V.Y <<"\n";
			exit(0);
		}
	}
}

void Write()
{
	printf("0 0 0 0\n");
}

int main()
{
	Read();
	
	Solve();
	
	Write();
	
	return 0;
}

